Subject: bug#45402: 28.0.50; new completion inconvenience

From: Michael Albinus <[email-masked]>
Date: Fri, 25 Dec 2020 21:31:07 +0100

Lars Ingebrigtsen <[email-masked]> writes:

Hi Lars,

>> As Richard explained in <[email-masked]>, some
>> GNU/Linux distros mount external media under /media/$USER, so typing
>> /med TAB greys out the initial ~/ and used to complete to /media/$USER
>> (if $USER is the only folder under /media).  Now users need to type an
>> additional slash to disambiguate from "/media:".
>
> Yup; I've also got a /media/ directory, and I see the same thing.
> /media/ is a common directory on many systems -- would it make sense to
> rename the Tramp method to something other than media:?

Yes, as I said already to Richard. I just miss a better name. Any
proposals?

(Internally, the GVFS methods mtp and gphoto2 are used. Although I have
sympathy for the name mtp, it would be wrong wrt gphoto2.)

Best regards, Michael.